# init.h

Go to the documentation of this file.

    00001 /* $Id$
    00002  *
    00003  * Copyright 2001-2003, Meiosys (www.meiosys.com). All rights reserved.
    00004  *
    00005  * See the COPYING file for the terms of usage and distribution.
    00006  */
    00007
    00008 #ifndef __log4c_init_h
    00009 #define __log4c_init_h
    00010
    00011 #include <log4c/defs.h>
    00012 #include <stdio.h>
    00013
    00026 LOG4C_API int log4c_init(void);
    00027
    00033 LOG4C_API int log4c_fini(void);
    00034
    00035 /*
    00036  * Dumps all the current appender, layout and rollingpolicy types
    00037  * known by log4c.
    00038  * @param stream to write to
    00039  */
    00040 LOG4C_API void log4c_dump_all_types(FILE *fp);
    00041
    00042 /*
    00043  * Dumps all the current instances of categories, appenders, layouts
    00044  * and rollingpolicy objects.
    00045  * An instances of a type consists of the base
    00046  * type information (name plus function table) and an instance name and
    00047  * configuration.  For example one can have an instance of the rollingfile
    00048  * appender which logs to /var/tmp and another instance which logs to
    00049  * /usr/tmp.  They are both of type rollingfile, but are distinct instances of
    00050  * it
    00051  * @param stream to write t
    00052  */
    00053 LOG4C_API void log4c_dump_all_instances(FILE *fp);
    00054
    00055 #endif